Bug 1372479 - Wayland: Changing mode from fullscreen to normal causes window to change its size
Summary: Wayland: Changing mode from fullscreen to normal causes window to change its ...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 30
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-09-01 21:21 UTC by srakitnican
Modified: 2019-05-21 17:53 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-04 08:45:39 UTC


Attachments (Terms of Use)

Description srakitnican 2016-09-01 21:21:36 UTC
Description of problem: By returning from F11 mode, window is slowly shrinking every time. At first I've noticed the problem in gnome-terminal (shrinking by one command line row every time), but notices it happens in gedit as well.


Version-Release number of selected component (if applicable):
gnome-terminal-3.21.90-2.fc26.x86_64
gtk3-3.21.5-1.fc26.x86_64
libwayland-server-1.11.91-1.fc26.x86_64
libwayland-server-1.11.91-1.fc26.i686

How reproducible: Pressing F11 very quickly should trigger window shrinking, or holding F11 could make it expand to fullscreen.


Steps to Reproduce:
1.
2.
3.

Actual results: Window slowly shrinking every time it goes from fullscreen mode (F11) or expanding if pressed continuously.


Expected results: Window maintains its size


Additional info:
* gtk3 component is just a wild guess. I am not actually sure what is going on
* So far noticed happening on F25 and F26

Comment 1 Kalev Lember 2016-10-04 08:45:39 UTC
I believe this should already be fixed. Please reopen if you can still reproduce it, thanks.

Comment 2 srakitnican 2016-10-05 17:55:12 UTC
I believe I am using all the latest packages from updates-testing for F25, issue is still present on Wayland.


Moreover, I can freeze/crash gnome-shell by holding F11 in gnome-terminal on X.org session on F24/F25.

Comment 3 srakitnican 2016-10-07 21:08:44 UTC
Still the same issue with gtk3-3.22.1-1.fc25.x86_64

Comment 4 Olivier Fourdan 2016-10-13 09:28:55 UTC
yes, I can reproduce

Comment 5 Olivier Fourdan 2016-10-13 09:30:19 UTC
probably related to the use of size increments.

Comment 6 Olivier Fourdan 2016-10-13 11:49:31 UTC
But apparently I fail to reproduce using gtk+ from git gtk-3-22 branch

Comment 7 Fedora End Of Life 2017-02-28 10:11:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 8 Christian Stadelmann 2018-01-06 11:31:08 UTC
I cannot reproduce this issue with Gedit, only with gnome-terminal, so I guess this bug is specific to gnome-terminal.

Tested with:
gedit-3.22.1-2.fc27.x86_64
gtk3-3.22.26-1.fc27.x86_64
gnome-terminal-3.26.2-1.fc27.x86_64

Comment 9 Fedora End Of Life 2018-05-03 08:32:12 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Christian Stadelmann 2018-05-21 19:13:51 UTC
Still present with Gtk+ 3.22.30 on Fedora 28. Please update the version info accordingly.

Comment 11 pavel 2018-11-19 17:42:58 UTC
fedora 29, same issue;-(

Comment 12 Holger Dörner 2019-01-25 09:03:44 UTC
I can confirm the bug on Fedora 29.
I'm using up-to-date packages for all software components.

Running Gnome on Wayland causes Windows of Gnome-Applications to shrink, other Applications like Google-Chrome or Spotify seem not to be affected.
The bug not only appears when switching to full-screen and back, but also when snapping the windows to the corners (like using SUPER+Arrow keys).

As a sidenote, I also observed that when using the 'Dropdown-Terminal' Extension it pops up in the middle of the screen and not from the top as it is configured.

I could not reproduce this behavior running Gnome on X11, everything works as expected there.

Comment 13 Mihai T. Lazarescu 2019-05-21 11:54:50 UTC
I confirm same issues in Fedora 30, up-to-date packages, 
including that windows from other applications are not affected.

Besides snap and full screen, maximize vertically and 
horizontally both affected (the restored window is smaller on 
both dimensions than it was before maximization).

The issue persisted over several Fedora versions, hence it does 
not seem to be addressed by any of the interim Gnome changes.


Note You need to log in before you can comment on or make changes to this bug.